Cantera 2.6.0

Namespaces | Variables
reaction_defs.h File Reference

This file defines some constants used to specify reaction types. More...

`#include "cantera/base/ct_defs.h"`
Include dependency graph for reaction_defs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Variables
const int | INVALID_RXN = 0
const int | NONE = 0
Reaction Types
const int | ELEMENTARY_RXN = 1
| A reaction with a rate coefficient that depends only on temperature and voltage that also obeys mass-action kinetics. More...
const int | THREE_BODY_RXN = 2
| A gas-phase reaction that requires a third-body collision partner. More...
const int | FALLOFF_RXN = 4
| The general form for a gas-phase association or dissociation reaction, with a pressure-dependent rate. More...
const int | PLOG_RXN = 5
| A pressure-dependent rate expression consisting of several Arrhenius rate expressions evaluated at different pressures. More...
const int | CHEBYSHEV_RXN = 6
| A general gas-phase pressure-dependent reaction where k(T,P) is defined in terms of a bivariate Chebyshev polynomial. More...
const int | CHEMACT_RXN = 8
| A chemical activation reaction. More...
const int | SURFACE_RXN = 20
| A reaction occurring on a surface. More...
const int | INTERFACE_RXN = 20
| A reaction occurring on an interface, e.g a surface or edge. More...

## Detailed Description

This file defines some constants used to specify reaction types.

Deprecated:
  To be removed after Cantera 2.6.

Definition in file reaction_defs.h.